package org.jk.rag.service;

import org.jk.system.domain.*;
import org.jk.system.domain.bo.SysUserBo;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 高井 业务层
 *
 * @author takai
 */
public interface IJkApiService
{

    /**
     * 通过建科接口获取建科用户信息
     */
    List<SysUser> getJkUsers() throws IOException;

    /**
     * 通过建科接口获取建科部门信息
     */
    List<SysDept> getJkDepts() throws IOException;


    /**
     * 通过code获取建科token
     */
    Map<String, Object> getJkToken(String code, String redirectUrl) throws IOException;

}
